Vendor-Specific LISP Canonical Address Format (LCAF)
RFC 9306
Alberto Rodriguez-Natal
Cisco
Spain
natal@cisco.com
Vina Ermagan
Google, Inc.
1600 Amphitheatre Parkway
Mountain View
CA
94043
United States of America
ermagan@gmail.com
Anton Smirnov
Cisco
Diegem
Belgium
asmirnov@cisco.com
Vrushali Ashtaputre
Cisco
San Jose
CA
United States of America
vrushali@cisco.com
Dino Farinacci
lispers.net
San Jose
CA
United States of America
farinacci@gmail.com
October 2022
RTG
LISP
lisp
lcaf
internal
domain
organization
private
This document describes a new Locator/ID Separation Protocol (LISP) Canonical Address Format (LCAF), the Vendor-Specific LCAF. This LCAF enables organizations to have implementation-specific encodings for LCAF addresses. This document updates RFC 8060.
Introduction
The LISP Canonical Address Format (LCAF) [RFC8060] defines the format and encoding for different address types that can be used on deployments of the Locator/ID Separation Protocol (LISP) [RFC9300] [RFC9301]. However, certain deployments require specific format encodings that may not be applicable outside of the use case for which they are defined. This document extends [RFC8060] to introduce a Vendor-Specific LCAF that defines how organizations can create LCAF addresses to be used only on particular LISP implementations. This document also updates [RFC8060] to specify the behavior when receiving unrecognized LCAF types.
Requirements Notation
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
Unrecognized LCAF Types
[RFC8060] does not explain how an implementation should handle an unrecognized LCAF type. This document updates [RFC8060] to specify that any unrecognized LCAF type received in a LISP control plane message MUST be ignored. If all Locators are ignored, this is equivalent to a LISP control message with Locator Count = 0, as described in [RFC9301]. If an EID-Prefix only contains unrecognized LCAF types, the LISP control message MUST be dropped and the event MUST be logged. (Here, "EID" refers to Endpoint Identifier.)
Vendor-Specific LCAF
The Vendor-Specific LCAF relies on using the IEEE Organizationally Unique Identifier (OUI) [IEEE.802] to prevent collisions across vendors or organizations using the LCAF. The format of the Vendor-Specific LCAF is provided below.
Vendor-Specific LCAF

 0                   1                   2                   3
 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|           AFI = 16387         |     Rsvd1     |     Flags     |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|   Type = 255  |     Rsvd2     |            Length             |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|      Rsvd3    |    Organizationally Unique Identifier (OUI)   |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
|                        Internal format...                     |
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

The fields in the first 8 octets of the above Vendor-Specific LCAF are actually the fields defined in the general LCAF format specified in [RFC8060]. The Type field MUST be set 255, the value assigned by IANA to indicate that this is a Vendor-Specific LCAF; see Section 6. The Length field has to be set accordingly to the length of the internal format, plus the OUI, plus the Rsvd3 fields, as for [RFC8060]. The fields defined by the Vendor-Specific LCAF are as follows:
Rsvd3:
This 8-bit field is reserved for future use. It MUST be set to 0 on transmit and MUST be ignored on receipt.
Organizationally Unique Identifier (OUI):
This is a 24-bit field that carries an OUI or Company ID (CID) assigned by the IEEE Registration Authority (RA) as defined by the IEEE Std 802 [IEEE.802]
Internal format:
This is a variable-length field that is left undefined on purpose. Each vendor or organization can define its own internal format(s) to use with the Vendor-Specific LCAF.
The Vendor-Specific LCAF type SHOULD NOT be used in deployments where different organizations interoperate. However, there may be cases where two (or more) organizations share a common deployment on which they explicitly and mutually agree to use a particular Vendor-Specific LCAF. In that case, the organizations involved need to carefully assess the interoperability concerns for that particular deployment. It is NOT RECOMMENDED to use an OUI not assigned to an organization.
If a LISP device receives a LISP message containing a Vendor-Specific LCAF with an OUI that it does not understand, it MUST drop the message and it SHOULD create a log message.
Security Considerations
This document enables organizations to define new LCAFs for their internal use. It is the responsibility of these organizations to properly assess the security implications of the formats they define. Security considerations from [RFC8060] apply to this document.
IANA Considerations
Following the guidelines of [RFC8126], IANA has assigned the following value for the Vendor-Specific LCAF from the "LISP Canonical Address Format (LCAF) Types" registry (defined in [RFC8060]):
Vendor-Specific LCAF Assignment
Value | LISP LCAF Type Name | Reference
255 | Vendor Specific | RFC 9306, Section 4
Normative References
[RFC9300]

The Locator/ID Separation Protocol (LISP)
Dino Farinacci
Vince Fuller
Dave Meyer
Darrel Lewis
Albert Cabellos, Ed.
October 2022
RFC 9300
DOI 10.17487/RFC9300
[RFC9301]

Locator/ID Separation Protocol (LISP) Control Plane
Dino Farinacci
Fabio Maino
Vince Fuller
Albert Cabellos, Ed.
October 2022
RFC 9301
DOI 10.17487/RFC9301
[IEEE.802]

IEEE Standard for Local and Metropolitan Area Networks: Overview and Architecture
IEEE
July 2014
DOI 10.1109/IEEESTD.2014.6847097
IEEE Std 802
[RFC8060]
[RFC2119]
[RFC8174]
[RFC8126]
Acknowledgments
The authors would like to thank Joel Halpern, Luigi Iannone, and Alvaro Retana for their suggestions and guidance regarding this document.